Audio
Turn text into speech and transcribe audio files with EU-hosted speech models through the OpenAI-compatible EUrouter API.
Create speech
Generate audio from text (text-to-speech). Returns raw audio bytes by default, or speech.audio.delta/speech.audio.done SSE events when stream_format is "sse".
Authentication: Requires an API key.
Authorization
apiKey API key used for model requests. Format: eur_<public-id>.<secret>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://api.eurouter.ai/api/v1/audio/speech" \ -H "Content-Type: application/json" \ -d '{ "input": "string", "property1": null, "property2": null }'Create transcription
Transcribe audio to text (speech-to-text). Accepts multipart file upload or JSON input_audio.
Authentication: Requires an API key.
Authorization
apiKey API key used for model requests. Format: eur_<public-id>.<secret>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://api.eurouter.ai/api/v1/audio/transcriptions" \ -H "Content-Type: application/json" \ -d '{ "input_audio": { "data": "string", "format": "wav" }, "property1": null, "property2": null }'Audit trail
See and export who changed which setting of your EUrouter organization and when: keys, routing, privacy settings, members, billing and sign-ins.
Audit events
List and export the audit trail of your organization: who changed which setting, when, and the values before and after. Owners and admins only.